package com.fjhx.stock.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.stock.StockWaterdetial;
import com.fjhx.params.stock.StockWaterdetialVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 出入库明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-12
 */
public interface StockWaterdetialService extends BaseService<StockWaterdetial> {

    Page<StockWaterdetial> getPage(Map<String, Object> condition);

    void add(StockWaterdetialVo stockWaterdetialVo);

    void edit(StockWaterdetialVo stockWaterdetialVo);

    void delete(StockWaterdetialVo stockWaterdetialVo);

}
